Bug 80358 - The spell-checker is mixed up when correcting in between two consecutive wrong words
Summary: The spell-checker is mixed up when correcting in between two consecutive wron...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2014-06-22 18:10 UTC by Koehler
Modified: 2017-07-01 07:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Koehler 2014-06-22 18:10:11 UTC
prerequisites for test:
Any text with two consecutive misspelled words.

Steps to reproduce:
1. Take a paragraph with 2 or more consecutive misspelled words underlined red by the spelling feature like this one.

2. type <F7> or "extras/spelling+grammar"

Assume two consecutive words are marked as wrong (underlined by red waves) by the spelling check.

3. The 1st wrong word will be displayed in the correction window in red letters. The user might change the spelling manually or select a proposed word from the list or ignore it (type or press button change or ignore). Then the 2nd wrong word is displayed in red letters. So far - so good. If you now add manually a new leading letter to the 2nd word, the 1st word will be displayed in red again. Typing "ignore" will reverse the previously made correction and the 2nd word shows up in red letters again EXCEPT the first leading letter you added before (it occupies the position where the space has been before).

Apparently the string limits are not properly set and might include the space in between the words.

Operating System: GNU/Linux Debian wheezy

Corollary:
Loss of hard formats in the whole paragraph when typing in a non-red area of spell-checker window.

Typing anything outside the red letters will trigger LO to jump to the beginning of the paragraph and start over with the correction process in that paragraph. All misspelled words previously ignored will show up in red again.
But the main problem is, that the whole paragraph lose all of its hard formats (bold, hidden etc.).
Comment 1 Tim Lloyd 2014-06-24 10:33:22 UTC
confirmed Fedora 20. writer 4.2.5.2 & XP writer 4.2.0.4
Comment 2 QA Administrators 2015-07-18 17:44:01 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-10-23 07:59:58 UTC
Still repro.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-11-08 11:14:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108